Bug 589466 - [abrt] crash in fuse-sshfs-2.2-5.fc12: raise: Process /usr/bin/sshfs was killed by signal 6 (SIGABRT)
[abrt] crash in fuse-sshfs-2.2-5.fc12: raise: Process /usr/bin/sshfs was kill...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fuse-sshfs (Show other bugs)
19
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
abrt_hash:7cdc963add30e356c920c96f76b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 04:51 EDT by Uno Engborg
Modified: 2015-02-17 08:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:17:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.42 KB, text/plain)
2010-05-06 04:51 EDT, Uno Engborg
no flags Details

  None (edit)
Description Uno Engborg 2010-05-06 04:51:27 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: sshfs rdiff_backup@192.168.0.100:legolas /mnt/rdiff_backup/ -o reconnect -o workaround=rename
component: fuse-sshfs
crash_function: raise
executable: /usr/bin/sshfs
global_uuid: 7cdc963add30e356c920c96f76b7c380509b0e2a
kernel: 2.6.32.11-99.fc12.i686
package: fuse-sshfs-2.2-5.fc12
rating: 4
reason: Process /usr/bin/sshfs was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
The error occured when I was making a backup to a directory on a remote host (called legolas below) mounted locally using sshfs using rdiff-backup.  The reason for doing it this way is that the remote host is a NAS where rdiff-backup not easily can be installed.


1.  Create a snapshot of the files to be backed up:
     lvcreate -L3000M -s -n backup /dev/vg_legolas/lv_root

2.  Mount the snaphot
     mount -o ro,acl,user_xattr /dev/vg_legolas/backup /mnt/snapshot

3. Mount the remote filesystem where to put the backup using:
    shfs rdiff_backup@192.168.0.100:legolas /mnt/rdiff_backup/ -o reconnect -o workaround=rename
    


4. Do the backup:
rdiff-backup -v3 \
 --exclude /mnt/snapshot/proc\
 --exclude /mnt/snapshot/dev\
 --exclude /mnt/snapshot/lost+found\
 --exclude /mnt/snapshot/.dbus\
 --exclude /mnt/snapshot/media\
 --exclude-sockets\
 --exclude-fifos\
 --exclude /mnt/snapshot/bin\
 --exclude /mnt/snapshot/lib\
 --include /mnt/snapshot/usr/local\
 --include /mnt/snapshot/usr/src\
 --exclude /mnt/snapshot/usr\
 --exclude /mnt/snapshot/sbin\
 --exclude /mnt/snapshot/sys\
 --exclude /mnt/snapshot/mnt\
 --exclude /mnt/snapshot/boot\
 --exclude /mnt/snapshot/var/run\
  /mnt/snapshot /mnt/rdiff_backup;

5.  Unmount and remove the snapshot and disconnect from the remote host:

umount  /mnt/snapshot
lvremove -f vg_legolas/backup
fusermount -u /mnt/rdiff_backup
Comment 1 Uno Engborg 2010-05-06 04:51:30 EDT
Created attachment 411877 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 11:31:18 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-04-03 14:44:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Uno Engborg 2014-06-23 14:06:40 EDT
Unfortunately I do not use rdiff_backup anymore, and the NAS is dead and gone, so I can't give you any more hints on what went wrong.
Comment 5 Fedora End Of Life 2015-01-09 11:15:48 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 08:17:16 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.